import { App, Component } from 'vue';
import BaseContainer from '@/components/AutoImport/BaseContainer/index.vue';
import BaseMain from '@/components/AutoImport/BaseMain/index.vue';
import BaseHeader from '@/components/AutoImport/BaseHeader/index.vue';
import BaseFooter from '@/components/AutoImport/BaseFooter/index.vue';

/** 注入全局组件 */
export function useAutoImport(app: App) {
    // 全局注册组件
    app.component('BaseContainer', BaseContainer);
    app.component('BaseMain', BaseMain);
    app.component('BaseHeader', BaseHeader);
    app.component('BaseFooter', BaseFooter);
}
